# frozen_string_literal: true

class Flux11SideEffectsJob < ActiveJob::Base
  queue_as :flux_11_side_effects
  unique :until_executed

  def perform(housing_offer_id)
    # Get all active application for given offer
    applications = Hermes::HousingApplication.where(is_active: true, housing_offer_id: housing_offer_id)
    applications.batch_size(5).each do |application|
      # Update status and disable application
      application.update!(status: 'ANNULEE BAILLEUR', is_active: false)
    end
  end
end