# frozen_string_literal: true

Admin::BatchsController.class_eval do
  def start
    @msg = ""
    if @batch = Batch.where(id: params[:id]).readable_by(current_user).first
      begin
        BatchJob.perform_later(@batch.id.to_s)
        @msg = "Lancement du batch dans un job"
      rescue => e
        @msg = "Error restarting #{e}"
      end
    else
      @msg = "Vous ne pouvez pas faire cette action"
    end
    respond_to do |format|
      format.js
      format.html do
        flash[:notice] = msg
        redirect_to edit_admin_batch_path(@batch.id)
      end
    end
  end
end
