# frozen_string_literal: true

module Hermes
  # Applicant serializer
  class AdminSearchRequestSerializer < Hermes::ApplicationSerializer

    attributes %i[
      id
      unique_numbers
      als_id
      user_id
      applicant_id
      applicant_email
      applicant_first_name
      applicant_last_name
      entity_id
      entity_als_id
      entity_title
      entity_siret
      entity_siren
      entity_id_cristal
    ]
    def added_to_object_cache_key
      object&.user&.updated_at.to_i
    end 

    def responsible
      nil
    end

    def applicant_id
      object.main_applicant&.id
    end 

    def applicant_email
      object.main_applicant&.email
    end 

    def applicant_first_name
      object.main_applicant&.first_name
    end 

    def applicant_last_name
      object.main_applicant&.last_name
    end 

    def entity_id
      object.entity&.id
    end 

    def entity_als_id
      object.entity&.als_id
    end 

    def entity_title
      object.entity&.title
    end 

    def entity_siret
      object.entity&.siret
    end 

    def entity_siren
      object.entity&.siren
    end 

    def entity_id_cristal
      object.entity&.id_cristal
    end 

  end
end
