# frozen_string_literal: true

module Hermes
  # NotificationCenter::NotificationSerializer
  module NotificationCenter
    class NotificationSerializer < Hermes::ApplicationSerializer
      attributes %i[
        title
        body
        opened_at
        key
        channels
        sender_type
        sender_id
        notifiable_type
        notifiable_id
        targetable_type
        targetable_id
        subscription_id
      ]

      type 'notifications'

      def subscription_id
        object.subscription.id.to_s
      end
    end
  end
end
