# frozen_string_literal: true
require "hermes/rails/routes"

def require_in_bo_client(*arr)
  arr.each do |path|
    require "hermes/bo_client/#{path}"
  end
end

def require_status
  ['base', 'housing_application'].each do |path|
    require "hermes/statuses/#{path}"
  end
end

require_in_bo_client(
  *%w[
    version
    configuration
    attributes_helper
    mapping_helper
  ]
)

module Hermes
  module BoClient
    def self.config(reload = false)
      return (@config = Configuration.new) if !@config || reload

      @config
    end

    def self.config=(value)
      @config = value
    end

    def self.configure(reload = false)
      yield(config(reload))
    end
  end
end

# need to load mappings/base_map before mappings
require_in_bo_client(
  *%w[
    client
    workflow_request_builder
    workflow
    mappings/concerns/base_map
    mappings
    tasks
  ]
)

require_status