require 'yaml'
module Hermes
  class BoClient::Configuration

    attr_accessor :base_url
    attr_accessor :user
    attr_accessor :password
    attr_accessor :logger

    def logger=(value)
      @logger=case value
                when String
                  case value.downcase
                    when 'stdout'
                      Logger.new(STDOUT)
                    when 'stderr'
                      Logger.new(STDERR)
                    else
                      nil
                  end
                else
                  value
              end
    end

    def proxy
      RestClient.proxy
    end

    def proxy=(value)
      RestClient.proxy=value
    end

    def initialize(attrs={})
      self.base_url                 = attrs.fetch(:base_url, "http://127.0.0.1:3005/SWSRC4")
      self.user                     = attrs.fetch(:user, "IKREC")
      self.password                 = attrs.fetch(:password, "IKREC")
      self.proxy                    = attrs.fetch(:proxy, nil)
      self.logger                   = attrs.fetch(:logger, nil)
    end

    def self.from_yaml(path, env=nil)
      attrs = YAML.load_file(path)
      attrs = attrs[env] if env
      sym_attrs=attrs.each_with_object({}) {|(k, v), memo| memo[k.to_sym] = v}
      self.new(sym_attrs)
    end

  end
end